summaryrefslogtreecommitdiffstats
path: root/multimedia/emoc
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/emoc')
-rw-r--r--multimedia/emoc/README5
-rw-r--r--multimedia/emoc/doinst.sh3
-rw-r--r--multimedia/emoc/emoc.SlackBuild74
-rw-r--r--multimedia/emoc/emoc.info10
-rw-r--r--multimedia/emoc/slack-desc20
5 files changed, 112 insertions, 0 deletions
diff --git a/multimedia/emoc/README b/multimedia/emoc/README
new file mode 100644
index 0000000000..9254012c1d
--- /dev/null
+++ b/multimedia/emoc/README
@@ -0,0 +1,5 @@
+Emoc is simple application, front end for "ffmpeg" and "mencoder"
+command line programs, that enables you to convert video files
+from one format to another, resize and resample them (usually to
+deminish video file in size on disk). Additionally, Emoc can join
+various files into one video file. It is designed to be simple to use.
diff --git a/multimedia/emoc/doinst.sh b/multimedia/emoc/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/emoc/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/emoc/emoc.SlackBuild b/multimedia/emoc/emoc.SlackBuild
new file mode 100644
index 0000000000..c8bd190943
--- /dev/null
+++ b/multimedia/emoc/emoc.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for EMoC
+
+# Written by otzy_007 (oz@oprod.net)
+
+PRGNAM=emoc
+VERSION=${VERSION:-0.9.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake
+make clean
+make
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/applications
+
+cp emoc $PKG/usr/bin
+cp emoc-48.png $PKG/usr/share/pixmaps/emoc.png
+cp emoc.desktop $PKG/usr/share/applications
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG LICENSE documentation/emoc_hlp.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/multimedia/emoc/emoc.info b/multimedia/emoc/emoc.info
new file mode 100644
index 0000000000..10b076a6b0
--- /dev/null
+++ b/multimedia/emoc/emoc.info
@@ -0,0 +1,10 @@
+PRGNAM="emoc"
+VERSION="0.9.0"
+HOMEPAGE="http://www.beli.ws/apps/emoc/"
+DOWNLOAD="http://www.beli.ws/apps/emoc/emoc.tar.gz"
+MD5SUM="94b9aad7155e93a7ea69b72a573cf2b4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="otzy_007"
+EMAIL="oz@oprod.net"
+APPROVED="dsomero"
diff --git a/multimedia/emoc/slack-desc b/multimedia/emoc/slack-desc
new file mode 100644
index 0000000000..b8177ff1bf
--- /dev/null
+++ b/multimedia/emoc/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+emoc: EMoC (Easy Movie Converter)
+emoc:
+emoc: Emoc is simple application, front end for "ffmpeg" and
+emoc: "mencoder" command line programs, that enables you to
+emoc: convert video files from one format to another, resize
+emoc: and resample them (usually to deminish video file in
+emoc: size on disk). Additionally, Emoc can join various
+emoc: files into one video file. It is designed to be
+emoc: simple to use.
+emoc:
+emoc: Homepage: http://www.beli.ws/apps/emoc/
+